Subject: RE: draft-ietf-ipv6-node-requirements-11.txt

From: "Dave Thaler" <[email-masked]>
Date: Thu, 2 Feb 2006 12:01:57 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> [email-masked]
[...]
> ==========
> 
> OLD:
> 8.2 Security Protocols
> 
>    ESP [RFC-2406] MUST be supported. AH [RFC-2402] MUST be supported.
>    RFC-2406 and RFC 2402 are being updated by the IPsec Working Group.
> 
> NEW
> 8.2 Security Protocols
> 
>    ESP [RFC-4306] MUST be supported. AH [RFC-4302] MAY be supported.
              ^^^^

Typo... ESP is RFC 4303 not RFC 4306 (which is IKEv2).

Also on the IKEv1 vs IKEv2 RFCs: the two are not interoperable, just
like IPv4 and IPv6 are not interoperable.  So the problem is that
existing implementations support IKEv1 only and if new implementations
support IKEv2 only, then they can't talk.

So the question I have is whether it should mention both.
By comparison the document says "IPv6 nodes MAY support IPv4".

-Dave

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------